Page MenuHomePhabricator

Show error message in prototype if not all versions have been selected
Closed, ResolvedPublic3 Story Points

Description

  • When a user wants to save the resolution page, but did not select all versions of the conflict,

give a meaningful error message.

For details see mocks:
Case: User has not yet clicked on save.

Case: User clicked on save button, but had not selected all versions before


If "Please choose a version" is above the box, the rectangle is around it, too.
The first version does not include the scroll-to-message.

  • Remove the disabled save button we have right now

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptDec 20 2017, 1:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I have two solutions for this. Some notes on this:
I would only recommend the greyed out save-button if we have a permanent info in red underneath, so the user can immediately see what's missing AND can also click to have missing paragraphs highlighted. If this is not possible I would go for the save-button which is clickable and then shows a warning plus the highlighted paragraphs.

Regarding the highlighting of the paragraphs I would also go for the "in-your-face"-version (the one with a red rectangle behind boths versions) if that's possible to implement because warnings should be easily visible.

greyed out save-button with decent highlighting:

clickable save-button with very visible highlighting:

Another attemp (not needed for the MVP but still shown) is to further highlight the selected version with an upgrading of the saturation of the frame.

Lea_WMDE triaged this task as Normal priority.Jan 9 2018, 10:46 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Jan 16 2018, 3:46 PM
Lea_WMDE set the point value for this task to 3.

Change 405730 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] [WIP] Show error message in prototype if not all versions have been selected

https://gerrit.wikimedia.org/r/405730

Andrew-WMDE closed this task as Resolved.Feb 6 2018, 3:26 PM
Andrew-WMDE moved this task from Review to Done on the WMDE-QWERTY-Sprint-2018-01-23 board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 20 2018, 4:48 PM

Change 405730 abandoned by WMDE-Fisch:
[WIP] Show error message in prototype if not all versions have been selected

Reason:
Squashed in
I267de58c2a3f965b8eebfb545e6b417601527191

https://gerrit.wikimedia.org/r/405730